Skip to content
Permalink
Browse files

Merge pull request #1640 from privacyidea/enable_python_37

Add support for python 3.7
  • Loading branch information...
cornelinux committed May 21, 2019
2 parents 5cd6730 + da87ffa commit 594051156f89a075fda78b26bc41d03160f4dd9c
Showing with 38 additions and 33 deletions.
  1. +14 −14 .gitignore
  2. +8 −14 .travis.yml
  3. +8 −4 README.rst
  4. +8 −1 setup.py
  5. BIN tests/token-version-1.5.sqlite
@@ -2,33 +2,33 @@
.pydevproject
.settings/
*.sqlite
!tests/testdata/testuser.sqlite
!tests/testdata/audit.sqlite
!tests/testdata/testuser-api.sqlite
!tests/testdata/testusercache.sqlite
*.pyc
dist/
venv/
venv*/
.coverage
cover/
*~
build/
DEBUILD/
doc/_build/
.idea/
*.log
*.old
*.orig
*.log.?
tests/testdata/ca/*.pem
!tests/testdata/ca/cacert.pem
!tests/testdata/ca/cakey.pem
tests/testdata/ca/*.txt
!tests/testdata/ca/index.txt
tests/testdata/ca/*.req
!tests/testdata/ca/DE_Hessen_privacyidea_requester.localdomain.req
tests/testdata/ca/*.der
node_modules
po/*.mo
contrib/python-pyjwt/
contrib/python-pymysql/
contrib/PyKCS/
contrib/PyOpenSSL/
contrib/python-ldap3/
contrib/python-pymysql_sa/
htmlcov/
tests/testdata/ca/*.req
privacyidea/static/customize/views/
_build
_static
_templates
.eggs/
privacyIDEA.egg-info/
__pycache__/
@@ -1,9 +1,11 @@
dist: xenial
language: python
sudo: false
python:
- 2.7
- 3.5
- 3.6
- "2.7"
# - "3.5"
- "3.6"
- "3.7"
# command to install dependencies
install:
- "pip install ."
@@ -18,20 +20,12 @@ env:
matrix:
- TESTS=tests/

matrix:
allow_failures:
- python: 3.5
#matrix:
# allow_failures:
# - python: 3.5

# command to run tests
script: "python -b -m pytest -v --cov=privacyidea $TESTS"

after_success:
- codecov

notifications:
webhooks:
urls:
- https://webhooks.gitter.im/e/aeb7493dbe5c478e6c2b
on_success: change # options: [always|never|change] default: always
on_failure: always # options: [always|never|change] default: always
on_start: never # options: [always|never|change] default: always
@@ -15,15 +15,19 @@ privacyIDEA

.. .. image:: https://img.shields.io/pypi/dm/privacyidea.svg
.. :alt: Downloads
.. :target: https://pypi.python.org/pypi/privacyidea/
.. :target: https://pypi.python.org/pypi/privacyIDEA/
.. image:: https://img.shields.io/pypi/v/privacyidea.svg
:alt: Latest Version
:target: https://pypi.python.org/pypi/privacyidea/

:target: https://pypi.python.org/pypi/privacyIDEA/#history

.. image:: https://img.shields.io/pypi/pyversions/privacyidea.svg
:alt: PyPI - Python Version
:target: https://pypi.python.org/pypi/privacyIDEA/

.. image:: https://img.shields.io/github/license/privacyidea/privacyidea.svg
:alt: License
:target: https://pypi.python.org/pypi/privacyidea/
:target: https://pypi.python.org/pypi/privacyIDEA/

.. image:: https://readthedocs.org/projects/privacyidea/badge/?version=master
:alt: Documentation
@@ -108,6 +108,7 @@ def get_scripts(dir):
author_email='cornelius@privacyidea.org',
url='http://www.privacyidea.org',
keywords='OTP, two factor authentication, management, security',
python_requires='>=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*, !=3.4.*, !=3.5.*',
packages=find_packages(),
scripts=["pi-manage"] + get_scripts("tools"),
extras_require={
@@ -145,7 +146,13 @@ def get_scripts(dir):
"Topic :: Internet",
"Topic :: Security",
"Topic :: System ::"
" Systems Administration :: Authentication/Directory"
" Systems Administration :: Authentication/Directory",
'Programming Language :: Python',
'Programming Language :: Python :: 2',
'Programming Language :: Python :: 2.7',
'Programming Language :: Python :: 3',
'Programming Language :: Python :: 3.6',
'Programming Language :: Python :: 3.7'
],
#message_extractors={'privacyidea': [
# ('**.py', 'python', None),
Binary file not shown.

0 comments on commit 5940511

Please sign in to comment.
You can’t perform that action at this time.